<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [puppeteer](./puppeteer.md) &gt; [ElementHandle](./puppeteer.elementhandle.md) &gt; [select](./puppeteer.elementhandle.select.md)

## ElementHandle.select() method

Triggers a `change` and `input` event once all the provided options have been selected. If there's no `<select>` element matching `selector`<!-- -->, the method throws an error.

<b>Signature:</b>

```typescript
select(...values: string[]): Promise<string[]>;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  values | string\[\] | Values of options to select. If the <code>&lt;select&gt;</code> has the <code>multiple</code> attribute, all values are considered, otherwise only the first one is taken into account. |

<b>Returns:</b>

Promise&lt;string\[\]&gt;

## Example


```js
handle.select('blue'); // single selection
handle.select('red', 'green', 'blue'); // multiple selections

```

